Debian Bug report logs - #658098
[apt-build] Error when upgrade

version graph

Package: apt-build; Maintainer for apt-build is Debian QA Group <packages@qa.debian.org>; Source for apt-build is src:apt-build.

Reported by: ASD Consultoria <asd.consultoria.ltda@gmail.com>

Date: Tue, 31 Jan 2012 11:33:01 UTC

Owned by: Dominique Lasserre <lasserre.d@googlemail.com>

Severity: grave

Found in version apt-build/0.12.39

Fixed in version apt-build/0.12.40

Done: Dominique Lasserre <lasserre.d@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#658098; Package apt-build. (Tue, 31 Jan 2012 11:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to ASD Consultoria <asd.consultoria.ltda@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 31 Jan 2012 11:33:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ASD Consultoria <asd.consultoria.ltda@gmail.com>
To: submit@bugs.debian.org
Subject: [apt-build] Error when upgrade
Date: Tue, 31 Jan 2012 09:28:44 -0200
Package: apt-build
Version: 0.12.39
Severity: normal

--- Please enter the report below this line. ---

The error when upgrade today:

# aptitude -f install 
Os pacotes a seguir, parcialmente instalados, serão configurados:
  apt-build 
Nenhum pacote será instalado, atualizado ou removido.
0 pacotes atualizados, 0 novos instalados, 0 a serem removidos e 0 não atualizados.
É preciso obter 0 B de arquivos. Depois do desempacotamento, 0 B serão usados.
Configurando apt-build (0.12.39) ...
dpkg: erro processando apt-build (--configure):
 sub-processo script post-installation instalado retornou estado de saída de erro 30
configured to not write apport reports
                                      Erros foram encontrados durante o processamento de:
 apt-build
E: Sub-process /usr/bin/dpkg returned an error code (1)
A instalação de um pacote falhou. Tentando recuperar:
Configurando apt-build (0.12.39) ...
dpkg: erro processando apt-build (--configure):
 sub-processo script post-installation instalado retornou estado de saída de erro 30
Erros foram encontrados durante o processamento de:
 apt-build





--- System information. ---
Architecture: amd64
Kernel:       Linux 3.1.0-1-amd64

Debian Release: wheezy/sid
  500 unstable        www.debian-multimedia.org 
  500 unstable        sft.if.usp.br 
  500 testing         http.us.debian.org 
  500 stable          dl.google.com 

--- Package information. ---
Depends                 (Version) | Installed
=================================-+-============
debconf                 (>= 0.5)  | 1.5.41
 OR debconf-2.0                   | 
libc6                  (>= 2.2.5) | 2.13-25
perl                              | 5.14.2-7
apt                      (>= 0.5) | 0.8.15.9
gcc                               | 4:4.6.2-4
g++                               | 4:4.6.2-4
dpkg-dev                 (>= 1.9) | 1.16.1.2
libappconfig-perl        (>= 1.5) | 1.66-1
libapt-pkg-perl       (>= 0.1.11) | 0.1.25+b1
devscripts                        | 2.11.3
apt-utils                         | 0.8.15.9


Recommends           (Version) | Installed
==============================-+-===========
fakeroot                       | 1.18.2-1
build-essential                | 11.5


Package's Suggests field is empty.






-- 
ASD Consultoria, Rio, RJ
Arq. Sávio M Ramos
Só usamos Linux desde 2000
www.debian.org




Owner recorded as Dominique Lasserre <lasserre.d@googlemail.com>. Request was from Dominique Lasserre <lasserre.d@googlemail.com> to control@bugs.debian.org. (Tue, 31 Jan 2012 21:24:23 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from Dominique Lasserre <lasserre.d@googlemail.com> to control@bugs.debian.org. (Tue, 31 Jan 2012 23:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>, Dominique Lasserre <lasserre.d@googlemail.com>:
Bug#658098; Package apt-build. (Wed, 01 Feb 2012 07:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>, Dominique Lasserre <lasserre.d@googlemail.com>. (Wed, 01 Feb 2012 07:42:07 GMT) Full text and rfc822 format available.

Message #14 received at 658098@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: ASD Consultoria <asd.consultoria.ltda@gmail.com>, 658098@bugs.debian.org
Subject: Re: Bug#658098: [apt-build] Error when upgrade
Date: Wed, 1 Feb 2012 07:16:46 +0100
[Message part 1 (text/plain, inline)]
Quoting ASD Consultoria (asd.consultoria.ltda@gmail.com):
> Package: apt-build
> Version: 0.12.39
> Severity: normal
> 
> --- Please enter the report below this line. ---
> 
> The error when upgrade today:


Hmmm, apparently, the "set -e" in (the badly written) config script
was a bad idea.

Will revert that ASAP.

To fixe this, I recommend removing this "set -e" line in
/var/lib/dpkg/info/apt-build.config


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>, Dominique Lasserre <lasserre.d@googlemail.com>:
Bug#658098; Package apt-build. (Wed, 01 Feb 2012 09:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "D. Lasserre" <lasserre.d@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>, Dominique Lasserre <lasserre.d@googlemail.com>. (Wed, 01 Feb 2012 09:36:12 GMT) Full text and rfc822 format available.

Message #19 received at 658098@bugs.debian.org (full text, mbox):

From: "D. Lasserre" <lasserre.d@googlemail.com>
To: Christian PERRIER <bubulle@debian.org>, 658098@bugs.debian.org
Subject: Re: Bug#658098: [apt-build] Error when upgrade
Date: Wed, 01 Feb 2012 10:33:35 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Christian,

the "set -e" causes the error but a better idea then removing this line
is to capture all questions that won't display due to debconf priority
level.

Please see #658199 for pending upload request.


Best regards

Dominique Lasserre
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJPKQbbAAoJENONJ1Ky5PTzsZsH/1dK5OuTn200H1DfF98/LvRP
qUuGwnm3h63JX3tMG8MGqL4zm742ZxM3+MdmzoBol1MdwXSXDNpc7scANkmCTGJm
DhlqJuYMc3zcBzUbcPEpizmRs+W/HFMHGJzQntcp51FLwfnYS0Is32zspe+EbyZy
vKDs+PwHQTo0fmdY0VpqKk+I9v5TJKlHryVKWD2YF4lhyySHjEDo+K1i8Yv7IA6j
jFX0v4hPz4OuZ34hkS7qNNGoCZ1t1nmtj06dxOi2sGJ28jaGZt0DzsVjIH/EgK0M
uuntWNGOD1MFoBW2+FSfTwcirca1ffyg8tck3ZAPemzIewGElozrH5KkHtNelEk=
=gbog
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>, Dominique Lasserre <lasserre.d@googlemail.com>:
Bug#658098; Package apt-build. (Wed, 01 Feb 2012 19:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>, Dominique Lasserre <lasserre.d@googlemail.com>. (Wed, 01 Feb 2012 19:42:06 GMT) Full text and rfc822 format available.

Message #24 received at 658098@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: "D. Lasserre" <lasserre.d@googlemail.com>
Cc: 658098@bugs.debian.org
Subject: Re: Bug#658098: [apt-build] Error when upgrade
Date: Wed, 1 Feb 2012 20:39:30 +0100
[Message part 1 (text/plain, inline)]
Quoting D. Lasserre (lasserre.d@googlemail.com):
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Hi Christian,
> 
> the "set -e" causes the error but a better idea then removing this line
> is to capture all questions that won't display due to debconf priority
> level.
> 
> Please see #658199 for pending upload request.

Just built and uploaded. Thanks for your help in sorting this out.


[signature.asc (application/pgp-signature, inline)]

Reply sent to Dominique Lasserre <lasserre.d@gmail.com>:
You have taken responsibility. (Fri, 03 Feb 2012 10:45:20 GMT) Full text and rfc822 format available.

Notification sent to ASD Consultoria <asd.consultoria.ltda@gmail.com>:
Bug acknowledged by developer. (Fri, 03 Feb 2012 10:45:21 GMT) Full text and rfc822 format available.

Message #29 received at 658098-close@bugs.debian.org (full text, mbox):

From: Dominique Lasserre <lasserre.d@gmail.com>
To: 658098-close@bugs.debian.org
Subject: Bug#658098: fixed in apt-build 0.12.40
Date: Fri, 03 Feb 2012 10:41:29 +0000
Source: apt-build
Source-Version: 0.12.40

We believe that the bug you reported is fixed in the latest version of
apt-build, which is due to be installed in the Debian FTP archive:

apt-build_0.12.40.dsc
  to main/a/apt-build/apt-build_0.12.40.dsc
apt-build_0.12.40.tar.gz
  to main/a/apt-build/apt-build_0.12.40.tar.gz
apt-build_0.12.40_mipsel.deb
  to main/a/apt-build/apt-build_0.12.40_mipsel.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658098@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominique Lasserre <lasserre.d@gmail.com> (supplier of updated apt-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 31 Jan 2012 22:18:25 +0100
Source: apt-build
Binary: apt-build
Architecture: source mipsel
Version: 0.12.40
Distribution: unstable
Urgency: high
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Dominique Lasserre <lasserre.d@gmail.com>
Description: 
 apt-build  - frontend to apt to build, optimize and install packages
Closes: 658098
Changes: 
 apt-build (0.12.40) unstable; urgency=high
 .
   * QA upload.
   * Prevent error if debconf cannot display questions. Closes: #658098
Checksums-Sha1: 
 f9b4425c390b9fdcf3886f0aa0fcc64a095dce15 1541 apt-build_0.12.40.dsc
 ee6ef1d36e34891ac2064967c894cf28dc951360 49316 apt-build_0.12.40.tar.gz
 ba3cfba8e8633b1ec9343637a5183254608dc60f 38662 apt-build_0.12.40_mipsel.deb
Checksums-Sha256: 
 a45a1cf74f3169525a31925657b52c3e6026aa600c423cb7a6a6688b4fb8566a 1541 apt-build_0.12.40.dsc
 872dc25191ea6ed7f77d09e57a60909a370186cc845c95a89ee0d8178dd5f1c4 49316 apt-build_0.12.40.tar.gz
 51554d603c300ebb85df33f331cc17cc4c25e6bcd894ee901d4dd62107cd95f9 38662 apt-build_0.12.40_mipsel.deb
Files: 
 ec3a5d79d28820d7eb6a293f76a3a62b 1541 devel optional apt-build_0.12.40.dsc
 309fabc4c14f13bd2531569b802f24cf 49316 devel optional apt-build_0.12.40.tar.gz
 777a05e86db0a8644249315864645e29 38662 devel optional apt-build_0.12.40_mipsel.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPKdqRAAoJEHxWrP6UeJfYjoMP/j4U0T9hacVRQVM32GtyA7qi
JL1O1D/Thmgi3R9EgMiBs8fCcsPavNIKnZLX+hYqSQsbeKJRIB4IVSmaRyl1nGQ5
OD1pG0SV0Fum//mhQV3OmYgHCc8oiCMfR7Db7We7b5ScQf7ga+DH7Kw+nxCeGlfk
hxn9kAUBwm90B4BosM1PgSmLdqHg8oKHzzBFpNiRwndHk2eHwLvVlD/1Els3A7po
NxAuhijUT9CpLcXOqOMj6MgwIoQ7iUomqKxYN/iz4r9Odq1yAJ/HQmMFa3bzvKEi
aDxoRX9C41DpWlUyBhlVv5oCb4+wI7zVeBp/g9LU0y06KULGYDccNvxF70ZV/CS6
Qe/e7UN/TvB08wUX+deVV/xuBTgFKFm/PheiFG6Ko/t+IeSrV3jeFTNe+x9jWzvQ
08Z/pB3PcJBovH3sFu6cbTdfx3m/i5F7lAODO7pSS4ZUnlarr9pbhwYbcmYVqFdN
8kH1pcKZXw55klu6GYKO9EzQ8X5u8nVgzIWgAPDL9gMZQYAw1wQezrvE06nBZOKv
L18xtMxrh3HG2QSfE5XkzdrW11YriJ3TewSFCLHTCiM2iViG8O53ZDNWy7FBZcMp
2MqdiCU9HPp3+t+dH6WA0Ux+S7wOaMGHpJXtJtz4iEQh1gwujUDZm2Eon02NYBGQ
4Q2YCGqCu64rZW6bf/tp
=5CQb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Mar 2012 07:43:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:12:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.